EditEngineeringObjectBuilder Class

class NXOpen.AME.EditEngineeringObjectBuilder

Bases: NXOpen.Builder

JA class for the Eng object dialog

To create a new instance of this class, use NXOpen.AME.AMEManager.CreateEditEngineeringObjectBuilder()

New in version NX11.0.0.

Properties

Property Description
EngObjDescription Returns or sets the string description
EngObjName Returns or sets the string name
ListAspectDetail Returns the aspect detail ui block
SelectedPlcBaseSymbols Returns the selected plc symbols
SelectionParent Returns the selection where the object will be reassigned.
Tag Returns the Tag for this object.

Methods

Method Description
Commit Commits any edits that have been applied to the builder.
Destroy Deletes the builder, and cleans up any objects created by the builder.
GetCommittedObjects For builders that create more than one object, this method returns the objects that are created by commit.
GetObject Returns the object currently being edited by this builder.
SetAspectStates Pass Aspect States To Builder
SetEngobjectsToEdit Adds selected objects for Edit an aspect
ShowResults Updates the model to reflect the result of an edit to the model for all builders that support showing results.
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Property Detail

EngObjDescription

EditEngineeringObjectBuilder.EngObjDescription

Returns or sets the string description

-------------------------------------

Getter Method

Signature EngObjDescription

Returns:
Return type:str

New in version NX11.0.0.

License requirements: ad_automation_design (“FULL AUTOMATION DESIGNER”)

-------------------------------------

Setter Method

Signature EngObjDescription

Parameters:stringDescription (str) –

New in version NX11.0.0.

License requirements: ad_automation_design (“FULL AUTOMATION DESIGNER”)

EngObjName

EditEngineeringObjectBuilder.EngObjName

Returns or sets the string name

-------------------------------------

Getter Method

Signature EngObjName

Returns:
Return type:str

New in version NX11.0.0.

License requirements: ad_automation_design (“FULL AUTOMATION DESIGNER”)

-------------------------------------

Setter Method

Signature EngObjName

Parameters:stringName (str) –

New in version NX11.0.0.

License requirements: ad_automation_design (“FULL AUTOMATION DESIGNER”)

ListAspectDetail

EditEngineeringObjectBuilder.ListAspectDetail

Returns the aspect detail ui block

-------------------------------------

Getter Method

Signature ListAspectDetail

Returns:
Return type:NXOpen.AME.EngineeringObjectAspectDetailBuilder

New in version NX11.0.0.

License requirements: ad_automation_design (“FULL AUTOMATION DESIGNER”)

SelectedPlcBaseSymbols

EditEngineeringObjectBuilder.SelectedPlcBaseSymbols

Returns the selected plc symbols

-------------------------------------

Getter Method

Signature SelectedPlcBaseSymbols

Returns:
Return type:NXOpen.AME.SelectAMEBaseNodeList

New in version NX11.0.0.

License requirements: ad_automation_design (“FULL AUTOMATION DESIGNER”)

SelectionParent

EditEngineeringObjectBuilder.SelectionParent

Returns the selection where the object will be reassigned.

-------------------------------------

Getter Method

Signature SelectionParent

Returns:
Return type:NXOpen.SelectNXObject

New in version NX11.0.0.

License requirements: ad_automation_design (“FULL AUTOMATION DESIGNER”)

Method Detail

SetAspectStates

EditEngineeringObjectBuilder.SetAspectStates

Pass Aspect States To Builder

Signature SetAspectStates(roots, states)

Parameters:
  • roots (list of NXOpen.NXObject) – Array of Engineering Roots
  • states (list of int) – Array of States

New in version NX11.0.0.

License requirements: ad_automation_design (“FULL AUTOMATION DESIGNER”)

SetEngobjectsToEdit

EditEngineeringObjectBuilder.SetEngobjectsToEdit

Adds selected objects for Edit an aspect

Signature SetEngobjectsToEdit(engObject)

Parameters:engObject (list of NXOpen.AME.AMEEngObject) – Array of Engineering Objects

New in version NX11.0.0.

License requirements: ad_automation_design (“FULL AUTOMATION DESIGNER”)

Validate

EditEngineeringObjectBuilder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.